function BCM=boundaryconditionsmatrix(V)
% BOUNDARYCONDITIONMATRIX : function.
%
% bcm=boundaryconditionsmatrix(V) agregates the boundary conditions given
% as a vector of BoudaryCondition objects to a matrix bcm needed by the pde
% solver of the pdetoolbox.
n=length(V);
BCM=[];
if n==0
    disp('No boundary condition!')
    return
end
for i = 1 : n
    if V(i).type==1
        vect=[1 1 1 1 1 length(V(i).g) '0' '0' '1' V(i).g];
    elseif V(i).type==2
        vect=[1 0 length(V(i).h) length(V(i).g) V(i).h V(i).g];
    end
    s=length(vect);
    [l,c]=size(BCM);
    if l<s
        BCM=[BCM;zeros(s-l,c)];
    end
    e=V(i).edges;
    for j = 1 : length(e)
        BCM(1:s,e(j))=vect';
    end   
    
end

